Skip to main content
POST
/
v1
/
tenant
curl -X POST https://api.quintai.dev/v1/tenant \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_SUPABASE_JWT" \
  -d '{"name": "Acme Corp"}'
{
  "id": "eec10443-1791-4584-86d6-478af5babebd",
  "name": "Acme Corp",
  "created_at": "2026-04-12T14:00:00Z"
}

Documentation Index

Fetch the complete documentation index at: https://quintsecurity.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Requires Authorization: Bearer header with a Supabase JWT.

Request Body

name
string
required
Organization name.

Response

id
string
Organization UUID.
name
string
Organization name.
created_at
datetime
When the organization was created.
curl -X POST https://api.quintai.dev/v1/tenant \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_SUPABASE_JWT" \
  -d '{"name": "Acme Corp"}'
{
  "id": "eec10443-1791-4584-86d6-478af5babebd",
  "name": "Acme Corp",
  "created_at": "2026-04-12T14:00:00Z"
}